// mapa_metodos.cpp - Operaciones con mapas
#include <iostream>
#include <string>
#include <map>
using namespace std;

int main( )
{
  map<string, long> agenda; // agenda inicialmente vacía
  string nombre;            // índice
  long telefono = 0;
  map<string, long>::iterator persona;
  // Añadir elementos a la agenda
  while (cin >> nombre >> telefono) agenda[nombre] = telefono;
  // Borrar el elemento identificado por "xxxx"
  if (!agenda.empty())
  {
    persona = agenda.find("xxxx");
    if (persona != agenda.end())
    {
      cout << persona->first << " borrado\n";
      agenda.erase(persona);
    }
  }
  // Mostrar los elementos de la agenda
  for (persona = agenda.begin(); persona != agenda.end(); persona++)
    cout << "  " << (*persona).first << '\t'
         << (*persona).second << endl;
  // Obtener el número de elementos
  cout << agenda.size() << "elementos\n";
  // Borrar todos los elementos
  agenda.clear();
}

